> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> Get a list of webhooks you are subscribed to

### Valid Webhook Events

We accept the following Webhook events

| Event                              | Trigger                                                             |
| :--------------------------------- | :------------------------------------------------------------------ |
| `customer.tokenized`               | A customer is tokenized                                             |
| `order.authorized`                 | An order is authorized by Sezzle                                    |
| `order.captured`                   | An order is captured by Sezzle                                      |
| `order.refunded`                   | An order is refunded by Sezzle                                      |
| `dispute.merchant_input_requested` | A dispute is filed by a shopper and merchant input is required      |
| `dispute.deadline_approaching`     | A dispute is moved to final notice by Sezzle                        |
| `dispute.closed.customer_win`      | The shopper wins the dispute and the order is refunded              |
| `dispute.closed.merchant_win`      | The merchant wins the dispute and it is resolved in their favor     |
| `dispute.closed.neutral`           | No clear winner is determined and the dispute is resolved neutrally |


## OpenAPI

````yaml get /v2/webhooks
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: Get a list of webhooks you are subscribed to
      operationId: HandleListWebhooks
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookResponse'
                example:
                  - uuid: 747cf28a-bb5c-46a8-a288-d9b006fd6113
                    links:
                      - href: https://sandbox.gateway.sezzle.com/v2/webhooks
                        rel: create
                        method: POST
                      - href: https://sandbox.gateway.sezzle.com/v2/webhooks
                        rel: list
                        method: GET
                      - href: >-
                          https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113
                        rel: self
                        method: GET
                      - href: >-
                          https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113
                        rel: self
                        method: PATCH
                      - href: >-
                          https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113
                        rel: self
                        method: DELETE
                    url: https://example.com/webhooks
                    events:
                      - customer.tokenized
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    WebhookResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - $ref: '#/components/schemas/Webhook'
    Response:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for this response
        links:
          type: array
          description: Available API links prefilled with UUID with accompanying method
          items:
            $ref: '#/components/schemas/Link'
    Webhook:
      type: object
      properties:
        url:
          type: string
          description: The URL you are using to receive webhooks
        events:
          type: array
          description: An array of webhook events you wish to subscribe to
          items:
            $ref: '#/components/schemas/WebhookEvents'
      required:
        - url
        - events
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
    Link:
      type: object
      required:
        - href
      properties:
        href:
          type: string
          description: The fully qualified URL for the API endpoint
        rel:
          type: string
          description: >-
            The relationship type indicating the purpose of this link (e.g.,
            'self' for the current resource, 'create' for creating a new
            resource, 'list' for listing resources)
          enum:
            - self
            - capture
            - checkout
            - create
            - customer
            - list
            - order
            - preapprove
            - refund
            - release
            - session
        method:
          type: string
          description: The HTTP method to use when calling this API endpoint
          enum:
            - GET
            - POST
            - PATCH
            - DELETE
    WebhookEvents:
      type: string
      enum:
        - customer.tokenized
        - order.authorized
        - order.captured
        - order.refunded
        - dispute.merchant_input_requested
        - dispute.deadline_approaching
        - dispute.closed.customer_win
        - dispute.closed.merchant_win
        - dispute.closed.neutral
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````